"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutReportDefinitionInput_1 = require("../shapes/PutReportDefinitionInput");
var PutReportDefinitionOutput_1 = require("../shapes/PutReportDefinitionOutput");
var DuplicateReportNameException_1 = require("../shapes/DuplicateReportNameException");
var ReportLimitReachedException_1 = require("../shapes/ReportLimitReachedException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutReportDefinition = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutReportDefinition",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutReportDefinitionInput_1.PutReportDefinitionInput
    },
    output: {
        shape: PutReportDefinitionOutput_1.PutReportDefinitionOutput
    },
    errors: [
        {
            shape: DuplicateReportNameException_1.DuplicateReportNameException
        },
        {
            shape: ReportLimitReachedException_1.ReportLimitReachedException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=PutReportDefinition.js.map